﻿<ScreenWithRights>
    <data-set>
        <relations format-version="3" relations-version="20190630" main-table="SiteMap">
            <link from="RolesInCache (ScreenID)" to="SiteMap (ScreenID)" />
            <link from="RolesInGraph (ScreenID)" to="SiteMap (ScreenID)" />
            <link from="RolesInMember (ScreenID)" to="SiteMap (ScreenID)" />
            <link from="Roles (Rolename, ApplicationName)" to="RolesInCache (Rolename, ApplicationName)" type="FromMaster" updateable="False" />
            <link from="Roles (Rolename, ApplicationName)" to="RolesInGraph (Rolename, ApplicationName)" type="FromMaster" updateable="False" />
            <link from="Roles (Rolename, ApplicationName)" to="RolesInMember (Rolename, ApplicationName)" type="FromMaster" updateable="False" />
        </relations>
        <layout>
            <table name="SiteMap">
                <table name="RolesInCache" uplink="(ScreenID) = (ScreenID)" />
                <table name="RolesInGraph" uplink="(ScreenID) = (ScreenID)" />
                <table name="RolesInMember" uplink="(ScreenID) = (ScreenID)" />
            </table>
            <table name="Roles" />
        </layout>
        <data>
            <SiteMap>
                <row Title="Calendar" Url="~/Pages/GC/Default.aspx" ScreenID="GC102000" NodeID="b62fb952-8b7f-4626-9228-83c27411121c" ParentID="00000000-0000-0000-0000-000000000000">
                    <RolesInGraph Rolename="Administrator" ApplicationName="/" Accessrights="4" />
                </row>
            </SiteMap>
            <Roles>
                <row Rolename="Administrator" ApplicationName="/" Descr="System Administrator" Guest="0" />
            </Roles>
        </data>
    </data-set>
</ScreenWithRights>